Update file
PATCH
/filesContract
Parameter | Value |
|---|---|
| Section | files |
| Authentication | CookieAuth |
| Consumes | application/json |
| Produces | application/json |
Parameters
1 parameter
Name | Location | Required | Type | Description |
|---|---|---|---|---|
| request | body | yes | object | File fields to update (must include id) |
{ "category": "<string>", "createdAt": "<string>", "first_seen_at": "<string>", "id": 0, "issuer": { "agreementAccepted": true, "createdAt": "<string>", "deletedAt": "<string>", "email": "<string>", "group": { "createdAt": "<string>", "deletedAt": "<string>", "id": 0, "issuer": {}, "issuerID": 0, "name": "<string>", "permissions": [ {} ], "updatedAt": "<string>", "users": [ {} ] }, "groupID": 0, "id": 0, "isActive": true, "isRequiredToSetPassword": true, "lastLogin": "<string>", "notificationsReadAt": "<string>", "passwordLength": 0, "realName": "<string>", "updatedAt": "<string>" }, "issuerID": 0, "md5": "<string>", "mime": "<string>", "name": "<string>", "original_sha256": "<string>", "sha1": "<string>", "sha256": "<string>", "sha3_384": "<string>", "size": 0, "source": "<string>", "syncReady": true, "tags": "<string>", "updatedAt": "<string>" }
Responses
4 responses
Status | Description | Type |
|---|---|---|
200 | File updated | no body |
400 | Invalid request body | object |
401 | Unauthorized | object |
500 | Internal server error | object |
{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }